New and Old puctuation feature !! Rated 5 out of 5 stars

2.0.2.138 works fine on FX 6.0 (Windows 7).
BTW, I'll be glad if .oxt (for LibreOffice or OoO) also has both New and Old dictionaries because the feature is really helpful.

This review is for a previous version of the add-on (2.0.1.114). 

Rated 1 out of 5 stars

2.0.0.107 installation never complete on Win7.
3 times restarted, but still showing this message:
"This add-on will be enabled when Firefox is restarted."
In my case only?

This review is for a previous version of the add-on (2.0.0.107). 

I made a typo that prevented the add-on from installing unless you had a Firefox 4 beta installed. Please try installing version 2.0.1.114, which is available at the following locations (unreviewed):

https://addons.mozilla.org/en-US/firefox/addon/7479/versions/
http://code.google.com/p/hunspell-spellcheck-vi/downloads/

Sorry for any inconvenience this may have caused you.